## org.codehaus.groovy.grails.plugins.web.taglib
Class SitemeshTagLib

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.taglib.SitemeshTagLib

All Implemented Interfaces:
  com.opensymphony.module.sitemesh.RequestConstants, groovy.lang.GroovyObject

    public class SitemeshTagLib

extends Object
implements com.opensymphony.module.sitemesh.RequestConstants, groovy.lang.GroovyObject

Field Summary

Fields inherited from interface com.opensymphony.module.sitemesh.RequestConstants
`DECORATOR, PAGE, ROBOT`

Constructor Summary
`SitemeshTagLib()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `captureTagContent(Object writer, Object tagname, Object attrs, Object body)`
`Object` `getCaptureBody()`
`Object` `getCaptureContent()`
`Object` `getCaptureHead()`
`Object` `getCaptureMeta()`
`Object` `getCaptureTitle()`
`groovy.lang.MetaClass` `getMetaClass()`
`static Object` `getNamespace()`
`Object` `getParameter()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setCaptureBody(Object value)`
`void` `setCaptureContent(Object value)`
`void` `setCaptureHead(Object value)`
`void` `setCaptureMeta(Object value)`
`void` `setCaptureTitle(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`static void` `setNamespace(Object value)`
`void` `setParameter(Object value)`
`void` `setProperty(String property, Object value)`
`Object` `wrapContentInBuffer(Object content)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SitemeshTagLib

    public SitemeshTagLib()

Method Detail

### getNamespace

    public static Object getNamespace()

### setNamespace

    public static void setNamespace(Object value)

### getCaptureHead

    public Object getCaptureHead()

### setCaptureHead

    public void setCaptureHead(Object value)

### getParameter

    public Object getParameter()

### setParameter

    public void setParameter(Object value)

### getCaptureBody

    public Object getCaptureBody()

### setCaptureBody

    public void setCaptureBody(Object value)

### getCaptureContent

    public Object getCaptureContent()

### setCaptureContent

    public void setCaptureContent(Object value)

### getCaptureMeta

    public Object getCaptureMeta()

### setCaptureMeta

    public void setCaptureMeta(Object value)

### getCaptureTitle

    public Object getCaptureTitle()

### setCaptureTitle

    public void setCaptureTitle(Object value)

### captureTagContent

    public Object captureTagContent(Object writer,
                                    Object tagname,
                                    Object attrs,
                                    Object body)

### wrapContentInBuffer

    public Object wrapContentInBuffer(Object content)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project